Page MenuHomePhabricator

Running Notifications/NotifiedUsersTest.php fails with "Flow\Exception\InvalidInputException: Unknown input to UUID class"
Closed, ResolvedPublic

Description

It seems that one of the things being passed to the create method if only 14 characters long and the method doesn't like this...

adam@adsh MINGW64 /c/git/gerrit/mediawiki (master)
$ php ./tests/phpunit/phpunit.php ./extensions/Flow/tests/phpunit/Notifications/NotifiedUsersTest.php
PHPUnit already present
Using PHP 5.5.11
PHPUnit 3.7.37 by Sebastian Bergmann.

Configuration read from C:\git\gerrit\mediawiki\tests\phpunit\suite.xml

EE.

Time: 5.36 seconds, Memory: 30.50Mb

There were 2 errors:

1) Flow\Tests\NotifiedUsersTest::testWatchingTopic
Flow\Exception\InvalidInputException: Unknown input to UUID class

C:\git\gerrit\mediawiki\extensions\Flow\includes\Model\UUID.php:178
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\Storage\PostRevisionStorage.php:64
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\Storage\RevisionStorage.php:389
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\ObjectManager.php:247
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\ObjectManager.php:172
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\ObjectManager.php:145
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\ManagerGroup.php:80
C:\git\gerrit\mediawiki\extensions\Flow\tests\phpunit\PostRevisionTestCase.php:245
C:\git\gerrit\mediawiki\extensions\Flow\tests\phpunit\Notifications\NotifiedUsersTest.php:158
C:\git\gerrit\mediawiki\extensions\Flow\tests\phpunit\Notifications\NotifiedUsersTest.php:42
C:\git\gerrit\mediawiki\tests\phpunit\MediaWikiTestCase.php:137

2) Flow\Tests\NotifiedUsersTest::testWatchingBoard
Flow\Exception\InvalidInputException: Unknown input to UUID class

C:\git\gerrit\mediawiki\extensions\Flow\includes\Model\UUID.php:178
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\Storage\PostRevisionStorage.php:64
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\Storage\RevisionStorage.php:389
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\ObjectManager.php:247
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\ObjectManager.php:172
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\ObjectManager.php:145
C:\git\gerrit\mediawiki\extensions\Flow\includes\Data\ManagerGroup.php:80
C:\git\gerrit\mediawiki\extensions\Flow\tests\phpunit\PostRevisionTestCase.php:245
C:\git\gerrit\mediawiki\extensions\Flow\tests\phpunit\Notifications\NotifiedUsersTest.php:158
C:\git\gerrit\mediawiki\extensions\Flow\tests\phpunit\Notifications\NotifiedUsersTest.php:64
C:\git\gerrit\mediawiki\tests\phpunit\MediaWikiTestCase.php:137

FAILURES!
Tests: 3, Assertions: 1, Errors: 2.

Event Timeline

Addshore updated the task description. (Show Details)
Addshore raised the priority of this task from to Needs Triage.
Addshore added a subscriber: Addshore.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Addshore renamed this task from Running Notifications/NotifiedUsersTest.php alone fails with "Flow\Exception\InvalidInputException: Unknown input to UUID class" to Running Notifications/NotifiedUsersTest.php fails with "Flow\Exception\InvalidInputException: Unknown input to UUID class".Feb 11 2016, 1:02 PM
Addshore updated the task description. (Show Details)
Addshore set Security to None.
Addshore added a comment.EditedFeb 15 2016, 11:38 AM

I there any chance anyone that has worked on Flow could take a look at this and perhaps give me some guidance to a solution?

Change 270766 had a related patch set uploaded (by Matthias Mullie):
Make sure UUID::getAlphadecimal output can always feed back into ::create

https://gerrit.wikimedia.org/r/270766

Addshore closed this task as Resolved.Feb 16 2016, 8:49 AM

Change 270766 merged by jenkins-bot:
Make sure UUID::getAlphadecimal output can always feed back into ::create

https://gerrit.wikimedia.org/r/270766